DEF BUFFER b-ec-storage FOR ec-storage.
DISABLE TRIGGERS FOR LOAD OF b-ec-storage.

DEF BUFFER b-ec-storage_tariff FOR ec-storage_tariff.
DISABLE TRIGGERS FOR LOAD OF b-ec-storage_tariff.

DEF BUFFER b-ec-demurrage FOR ec-demurrage.
DISABLE TRIGGERS FOR LOAD OF b-ec-demurrage.

DEF BUFFER b-ec-handling FOR ec-handling.
DISABLE TRIGGERS FOR LOAD OF b-ec-handling.

blok:
DO TRANSACTION ON ERROR UNDO blok, LEAVE blok:
  FOR EACH b-ec-storage FIELDS(companycode storage_refnr all20ft all40ft costcode)  ON ERROR UNDO blok, LEAVE blok:
    IF b-ec-storage.all20ft = TRUE AND b-ec-storage.all40ft = TRUE
    THEN ASSIGN b-ec-storage.all30ft = TRUE
                b-ec-storage.all45ft = TRUE.
    IF b-ec-storage.costcode <> ""
    THEN DO:
      FOR EACH b-ec-storage_tariff OF b-ec-storage ON ERROR UNDO blok, LEAVE blok:
        IF b-ec-storage_tariff.costcode = ""
        THEN b-ec-storage_tariff.costcode = b-ec-storage.costcode.
      END.
    END.
  END.

  FOR EACH b-ec-demurrage FIELDS(all20ft all40ft)  ON ERROR UNDO blok, LEAVE blok:
    IF b-ec-demurrage.all20ft = TRUE AND b-ec-demurrage.all40ft = TRUE
    THEN ASSIGN b-ec-demurrage.all30ft = TRUE
                b-ec-demurrage.all45ft = TRUE.
  END.

  FOR EACH b-ec-handling FIELDS(all20ft all40ft)  ON ERROR UNDO blok, LEAVE blok:
    IF b-ec-handling.all20ft = TRUE AND b-ec-handling.all40ft = TRUE
    THEN ASSIGN b-ec-handling.all30ft = TRUE
                b-ec-handling.all45ft = TRUE.
  END.

END.


