/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/Demurrage.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:03
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttDemurrage BEFORE-TABLE bttDemurrage
    FIELD all20ft LIKE ec-demurrage.all20ft
    FIELD all30ft LIKE ec-demurrage.all30ft
    FIELD all40ft LIKE ec-demurrage.all40ft
    FIELD all45ft LIKE ec-demurrage.all45ft
    FIELD areacode LIKE ec-demurrage.areacode
    FIELD calc_current_historic AS CHARACTER LABEL "Current/Historic"
    FIELD companycode LIKE ec-demurrage.companycode
    FIELD costcode LIKE ec-demurrage.costcode
    FIELD countrycode LIKE ec-demurrage.countrycode
    FIELD currencycode LIKE ec-demurrage.currencycode
    FIELD cust_addressnr LIKE ec-demurrage.cust_addressnr
    FIELD customer LIKE ec-demurrage.customer
    FIELD dayofdischarge LIKE ec-demurrage.dayofdischarge
    FIELD dayofredelivery LIKE ec-demurrage.dayofredelivery
    FIELD demurrage_refnr LIKE ec-demurrage.demurrage_refnr
    FIELD dt_valid_begin LIKE ec-demurrage.dt_valid_begin
    FIELD dt_valid_end LIKE ec-demurrage.dt_valid_end
    FIELD free_workingdaysonly LIKE ec-demurrage.free_workingdaysonly
    FIELD ind_inactive LIKE ec-demurrage.ind_inactive
    FIELD kickback_costcode LIKE ec-demurrage.kickback_costcode
    FIELD kickback_percentage LIKE ec-demurrage.kickback_percentage
    FIELD location_arg LIKE ec-demurrage.location_arg
    FIELD locationcode LIKE ec-demurrage.locationcode
    FIELD multipletariffs LIKE ec-demurrage.multipletariffs
    FIELD portcode LIKE ec-demurrage.portcode
    FIELD remark LIKE ec-demurrage.remark
    FIELD subareacode LIKE ec-demurrage.subareacode
    FIELD tarifftype LIKE ec-demurrage.tarifftype
    FIELD typecode LIKE ec-demurrage.typecode
    FIELD xref_free_days AS INTEGER LABEL "Free days"
    FIELD xref_shortname AS CHARACTER LABEL "Customer"
    FIELD xref_tariffs AS CHARACTER LABEL "Tariffs"
.

DEFINE DATASET dsDemurrage FOR ttDemurrage.