DEF VAR iTel AS INTEGER NO-UNDO.

DEFINE BUFFER b-ec-status FOR ec-status.

FOR EACH b-ec-status EXCLUSIVE-LOCK:
     
  FIND FIRST sp-setting WHERE
             sp-setting.klantkode    = "" 
         AND sp-setting.userkode     = "" 
         AND sp-setting.settingtype  = b-ec-status.companycode + "-default-time"
         AND sp-setting.settingid    = b-ec-status.statuscode
         AND sp-setting.settingkode  = ""
             NO-LOCK NO-ERROR.
  IF AVAIL sp-setting 
  THEN DO:
    ASSIGN b-ec-status.time_move = sp-setting.setting1
           iTel = iTel + 1.
  END.
  ELSE DO:
    ASSIGN b-ec-status.time_move = "12:00"
           iTel = iTel + 1.
  END.
END.

MESSAGE iTel "statuscodes updated." VIEW-AS ALERT-BOX.


